---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/bg_radio/"
---------------------------------------------------------------------------------------
createCompositionSky = nil
---------------------------------------------------------------------------------------
createCompositionSky = function()
	local composition1 = CreateCompositionSequence()
	local compositionDuration = 8
	composition1:setDuration(compositionDuration)
	composition1:setName("compositionSky" )
	composition1:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Luch_[00000-00023].png/1
	element = CreateCompositionElement(PREFIX_PATH.."Luch_[].png")
	element:setName("Luch_[00000-00023].png/1")
	composition1:addElement(element)
	element:setHotSpot(50, 30)
	element:setParentElement(composition1)
	element:setXY(948, 284)
 
	element:setScale(3.3,3.3)
	element:setRotationRad(-0.6981317)
					local anim = element
					anim:setAnimationSize(100,60)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer krug200011 ([1-12]).png/2
	element = CreateCompositionElement(PREFIX_PATH.."krug200011__[]_.png")
	element:setName("krug200011 ([1-12]).png/2")
	composition1:addElement(element)
	element:setHotSpot(75, 50)
	element:setParentElement(composition1)
	element:setXY(1010, 155)
 
	element:setScale(1.7194728249234,0.77729283265613)
	element:setRotationRad(-0.08517207248961)
	element:setOpacity(0.15)
					local anim = element
					anim:setAnimationSize(150,100)
					anim:setFramesCount(12)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- -- Layer nebo_00026.png/3
	-- element = CreateCompositionElement(PREFIX_PATH.."nebo_00026.png")
	-- element:setName("nebo_00026.png/3")
	-- composition1:addElement(element)
	-- element:setHotSpot(65.5, 46.5)
	-- element:setParentElement(composition1)
	-- element:setXY(1009.5, 166.5)
 
 
	-- effector = element:getEffector()
	-- effector:setLifeTime(1.45833333333333, 6.625)
	-- effector:play()
 
 
	-- -- Layer nebo_[00007-00026].png/4
	-- element = CreateCompositionElement(PREFIX_PATH.."nebo_[].jpg")
	-- element:setName("nebo_[00007-00026].png/4")
	-- composition1:addElement(element)
	-- element:setHotSpot(65.5, 46.5)
	-- element:setParentElement(composition1)
	-- element:setXY(1009.5, 166.5)
 
	-- 				local anim = element
	-- 				anim:setAnimationSize(131,93)
	-- 				anim:setFramesCount(20)
	-- 				anim:setBlend(_EBlendModeColorAdd)
	-- 				anim:setFPS(24)
	-- 				anim:setMode(_ANIM_REV)
	-- 				anim:play()
 
	-- effector = element:getEffector()
	-- effector:setLifeTime(0.62166666666667, 1.45499674479167)
	-- effector:play()
 
 
	-- -- Layer nebo_[00007-00026].png/5
	-- element = CreateCompositionElement(PREFIX_PATH.."nebo_[].jpg")
	-- element:setName("nebo_[00007-00026].png/5")
	-- composition1:addElement(element)
	-- element:setHotSpot(65.5, 46.5)
	-- element:setParentElement(composition1)
	-- element:setXY(1009.5, 166.5)
 
	-- 				local anim = element
	-- 				anim:setAnimationSize(131,93)
	-- 				anim:setFramesCount(20)
	-- 				anim:setBlend(_EBlendModeColorAdd)
	-- 				anim:setFPS(24)
	-- 				anim:setMode(_ANIM_FWD)
	-- 				anim:play()
 
	-- effector = element:getEffector()
	-- effector:setLifeTime(0.625, 1.45833333333333)
	-- effector:play()
 
	composition1:play()
 
	return composition1
end
 
